GCLOUD_CONTAINER_CLUSTERS(1)

NAME

gcloud container clusters - deploy and teardown Google Container Engine clusters

SYNOPSIS

gcloud container clusters COMMAND [--zone=ZONE, -z ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
The gcloud container clusters command group lets you deploy and teardown Google Container Engine clusters. See $ gcloud docker --help for information about deploying docker images to clusters.

FLAGS

    --zone=ZONE, -z ZONE
        The compute zone (e.g. us-central1-a) for the cluster. Overrides the default compute/zone property value for this command invocation.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

COMMANDS
COMMAND is one of the following:

    create
        Create a cluster for running containers.

    delete
        Delete an existing cluster for running containers.

    describe
        Describe an existing cluster for running containers.

    get-credentials
        Fetch credentials for a running cluster.

    list
        List existing clusters for running containers.

    resize
        Resizes an existing cluster for running containers.

    update
        Update cluster settings for an existing container cluster.

    upgrade
        Upgrade the Kubernetes version of an existing container cluster.